gs-bumpmap(1)

NAME
gs-bumpmap - applies the GIMP GEGL Bump Map filter on an image

SYNOPSIS
gs-bumpmap input_filename output_filename
[-C on|off | - -compensate-darkening on|off]
[-I on|off | - -invert on|off]
[-T on|off | - -tiled on|off]
[-A bearing | - -azimuth bearing]
[-E bearing | - -elevation bearing]
[-D depth | - -depth depth]
[-X value | - -offset-x value]
[-Y value | - -offset-y value]
[-W level | - -waterlevel level]
[-B factor | - -ambient factor]
[-H all|red|yellow|green|cyan|blue|magenta | - -hue-range all|red|yellow|green|cyan|blue|magenta]
[-O degrees | - -hue-offset degrees]
[-L adjustment | - -lightness adjustment]
[-S adjustment | - -saturation adjustment]
[-V overlap | - -overlap overlap]
[-q | - -quiet] [-w | - -verbose]
gs-bumpmap [-h | - -help]
gs-bumpmap [-v | - -version]

DESCRIPTION
gs-bumpmap runs GIMP to load an image, applies the GIMP GEGL "Bump Map" filter (details: GEGL Bump Map: https://gegl.org/operations/gegl-bump-map.html) as well as "Hue-Saturation" adjustment (details: GIMP: Hue-Saturation: https://docs.gimp.org/3.0/en/gimp-tool-hue-saturation.html), and stores the result into an output file.

ARGUMENTS
The following options are available:

input_filename
    The input image. Any format supported by GIMP can be used. The format will be detected automatically.

output_filename
    The name for the output image to be written. Any format supported by GIMP can be used. The format will be detected by the provided file name extension (e.g. .jpeg, .png, .webp, .pdf, ...). An existing output file will be overwritten.

-C on|off | - -compensate-darkening on|off
    Turns compensation for darkening on or off. Default: on.

-I on|off | - -invert on|off
    Turns inversion on or off. Default: off.

-T on|off | - -tiled on|off
    Turns tiling on or off. Default: off.

-A bearing | - -azimuth bearing
    Sets the azimuth parameter for the "Bump Map" filter. Range: 0.0-360.0. Default: 135.0.

-E bearing | - -elevation bearing
    Sets the elevation parameter for the "Bump Map" filter. Range: 0.5-90.0. Default: 45.0.

-D depth | - -depth depth
    Sets the depth parameter for the "Bump Map" filter. Range: 1-65. Default: 20.

-X value | - -offset-x value
    Sets the offset X parameter for the "Bump Map" filter. Range: -20000-20000. Default: 0.

-Y value | - -offset-y value
    Sets the offset Y parameter for the "Bump Map" filter. Range: -20000-20000. Default: 0.

-W level | - -waterlevel level
    Sets the water level (level that full transparency should represent). Range: 0.0-1.0. Default: 0.0.

-B factor | - -ambient factor
    Sets the ambient lighting factor. Range: 0.0-1.0. Default: 0.0.

-H all|red|yellow|green|cyan|blue|magenta | - -hue-range all|red|yellow|green|cyan|blue|magenta
    Sets the hue range (affected colors): red, yellow, green, cyan, blue, magenta, or all. Default: all.

-O degrees | - -hue-offset degrees
    Sets the hue offset. Range: -180.0-180.0. Default: 0.0.

-L adjustment | - -lightness adjustment
    Sets the lightness adjustment. Range: -100.0-100.0. Default: 0.0.

-S adjustment | - -saturation adjustment
    Sets the saturation adjustment. Range: -100.0-100.0. Default: 0.0.

-V overlap | - -overlap overlap
    Sets the overlap. Range: 0.0-100.0. Default: 0.0.

-q | - -quiet
    Quiet mode: suppress GIMP console output. This is the default.

-w | - -verbose
    Verbose mode: print GIMP console output and processing details.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The gs-bumpmap tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

gs-bumpmap Image1.png BumpMap1.png

gs-bumpmap Image3.png BumpMap3.png --hue-range all --hue-offset 120.0 --lightness -15.0

gs-bumpmap --help

gs-bumpmap -h

gs-bumpmap --version

gs-bumpmap -v

SEE ALSO
gs-caption(1), gs-clothify(1), gs-glossytext(1), gs-list-gradients(1), gs-list-patterns(1), gs-mosaic(1), gs-oilify(1), gs-oldphoto(1), gs-resize-with-cropping(1), gs-test-gimp(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh